Get Transfer Details
curl --request GET \
--url https://sandbox-api.axisfi.net/api/transactions/transfer/detail \
--header 'Api-Version: <api-version>' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://sandbox-api.axisfi.net/api/transactions/transfer/detail"
headers = {
"Api-Version": "<api-version>",
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Api-Version': '<api-version>',
'X-API-Key': '<api-key>',
'X-API-Secret': '<api-key>'
}
};
fetch('https://sandbox-api.axisfi.net/api/transactions/transfer/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "txn_eccc836977084fc68500d11fba100f32",
"partner_transaction_id": "<string>",
"transaction_type": "transfer",
"source": {
"currency": "USDT",
"amount": 99.99,
"network": "ETH"
},
"target": {
"currency": "USDT",
"amount": 99.99,
"network": "ETH"
},
"status": "completed",
"refund_order_id": "<string>",
"refund_amount": 123,
"refund_currency": "<string>",
"refund_reason": "<string>",
"refund_status": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"customer_id": "cus_79fb361a05074629bf1ecf0d14cd244e",
"recipient_id": "rcp_ff624a5b02d44c98af91698e0bc69118",
"exchange_rate": 123,
"fee": 123,
"purpose_code": "Payment for Physical Goods",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"audit_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"customer": {
"partner_customer_id": "<string>",
"business_details": {
"business_name_english": "<string>",
"business_type": "Limited Liability Company",
"business_identifier_type": "Business Registration",
"business_identifier_number": "<string>",
"business_identifier_country_code": "US",
"business_identifier_document_list": [
"<string>"
],
"business_name": "<string>",
"website": "https://www.example.com",
"business_identifier_start_date": "2023-11-07T05:31:56Z",
"business_identifier_expiry_date": "2023-11-07T05:31:56Z"
},
"registration_address": {
"registration_address_line1": "<string>",
"registration_address_city": "<string>",
"registration_address_state": "<string>",
"registration_address_postcode": "<string>",
"registration_address_country_code": "US"
},
"customer_id": "cus_79fb361a05074629bf1ecf0d14cd244e",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"account_usage": {
"operating_country": "US",
"goods_service_description": "<string>",
"industry_category_code": "<string>",
"account_usage_product_reference": "Financial Services",
"estimated_monthly_revenue_currency": "USD",
"estimated_monthly_revenue_amount": 99.99
},
"primary_contact": {
"contact_phone": "+8613800138000",
"contact_email": "service@gemini.com"
},
"business_person_list": [
{
"basic_info": {
"first_name_english": "<string>",
"last_name_english": "<string>",
"birth_date": "2023-11-07T05:31:56Z",
"nationality": "US",
"role_type": "Director",
"first_name": "<string>",
"last_name": "<string>"
},
"residential_address": {
"residential_address_line1": "<string>",
"residential_address_city": "<string>",
"residential_address_country_code": "US",
"residential_address_state": "<string>",
"residential_address_postcode": "<string>"
},
"identification": {
"id_type": "National ID",
"id_number": "<string>",
"id_issuing_country_code": "US",
"id_expiration_date": "2023-11-07T05:31:56Z",
"id_issue_date": "2023-11-07T05:31:56Z",
"id_document_front_file_id": "<string>",
"id_document_back_file_id": "<string>"
}
}
]
},
"recipient": {
"partner_recipient_id": "<string>",
"business_name": "<string>",
"business_type": "Business",
"country_code": "CN",
"recipient_id": "rcp_ff624a5b02d44c98af91698e0bc69118",
"status": "active",
"website": "https://www.example.com",
"created_at": "2023-11-07T05:31:56Z",
"address_info": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"post_code": "<string>"
},
"payment_details": {
"account_type": "<string>",
"bank_name": "JPMorgan Chase",
"network": "SWIFT",
"account_name": "<string>",
"account_number": "<string>",
"swift_code": "<string>",
"account_currency": "USD",
"country_code": "CN",
"payment_method": "INTERNATIONAL_WIRE",
"local_bank_code": "<string>"
},
"file_id_list": [
"<string>"
]
},
"file_id_list": [
"<string>"
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "Invalid organizationId",
"code": "ORG_ID_INVALID"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Transactions
Get Transfer Details
Get a specific transaction by specifying the (Id).
GET
/
api
/
transactions
/
transfer
/
detail
Get Transfer Details
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Headers
AxisFi API contract version
Available options:
2026-08-31 Query Parameters
Partner Transaction Id
Transaction Id
Response
Operation Successful
Transaction Id
Example:
"txn_eccc836977084fc68500d11fba100f32"
Partner Transaction Id
Required string length:
20 - 64Transaction Type
Available options:
transfer Source
Show child attributes
Show child attributes
Target
Show child attributes
Show child attributes
Status
Available options:
pending, completed, failed, returned Example:
"completed"
Unique customer ID
Example:
"cus_79fb361a05074629bf1ecf0d14cd244e"
Unique Recipient ID
Example:
"rcp_ff624a5b02d44c98af91698e0bc69118"
Payment purpose code
Available options:
Payment for Physical Goods, Other Example:
"Payment for Physical Goods"
Notes
Customer Details Response Information
Show child attributes
Show child attributes
Show child attributes
Show child attributes

